package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class STAccessTokenVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "获取到的访问令牌")
    private String accessToken;
    @ApiModelProperty(value = "令牌有效时间[失效时间为3600秒]")
    private Integer expiresIn;

    private static final STAccessTokenVo obj = new STAccessTokenVo();

    public static STAccessTokenVo getNew() {
        try {
            return (STAccessTokenVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new STAccessTokenVo();
    }

}
